Name:          openhft-java-lang
Version:       6.8.2
Release:       6%{?dist}
Summary:       High Performance Java Lang library for High Frequency Trading
# Source files without license headers https://github.com/OpenHFT/Java-Lang/issues/76
License:       LGPLv3+
URL:           https://github.com/OpenHFT/Java-Lang
Source0:       https://github.com/OpenHFT/Java-Lang/archive/lang-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(net.openhft:compiler)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.easymock:easymock)
BuildRequires: mvn(org.ow2.asm:asm)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-simple)
BuildRequires: mvn(org.xerial.snappy:snappy-java)

BuildArch:     noarch

%description
This library provides marshalling, de-marshalling and
handling of thread safe off heap memory through ByteBuffers.
It is designed to be largely GC-less such that millions of
entries with 32 MB heap can be queued without triggering the
garbage collector.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n Java-Lang-lang-%{version}

%pom_remove_parent
%pom_xpath_inject pom:project "<groupId>net.openhft</groupId>"
%pom_xpath_set pom:project/pom:version %{version}

%pom_remove_parent lang
%pom_xpath_inject pom:project "<groupId>net.openhft</groupId>" lang
%pom_xpath_set pom:project/pom:version %{version} lang

# Unwanted tasks
%pom_remove_plugin :maven-scm-publish-plugin lang

# net.openhft:third-party-bom:pom:3.5.0
%pom_remove_dep net.openhft:third-party-bom lang
# net.openhft:chronicle-bom:pom:1.12.11
%pom_remove_dep net.openhft:chronicle-bom lang

%pom_change_dep com.sun.java:tools com.sun:tools lang

%mvn_file :lang %{name} lang

# NullPointerException
rm lang/src/test/java/net/openhft/lang/io/ByteBufferBytesTest.java \
 lang/src/test/java/net/openhft/lang/io/DirectByteBufferBytesTest.java \
 lang/src/test/java/net/openhft/lang/io/NativeBytesTest.java

chmod 644 README.md

# Useless pom file
%mvn_package :Java-Lang __noinstall

%build
# @ random:
# Execution default-test of goal org.apache.maven.plugins:maven-surefire-plugin:2.19.1:test failed:
# The forked VM terminated without properly saying goodbye. VM crash or System.exit called?
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6.8.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6.8.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Aug 23 2016 gil cattaneo <puntogil@libero.it> 6.8.2-2
- fix license field

* Sun Jul 24 2016 gil cattaneo <puntogil@libero.it> 6.8.2-1
- update to 6.8.2

* Tue Jul 12 2016 gil cattaneo <puntogil@libero.it> 6.1.4-1
- initial rpm
